Subject: bug#27975: guix sd 32b was not installed because of adwaita-icon-theme-3.24.0

From: Paul Dufresne <[email-masked]>
Date: Sat, 5 Aug 2017 20:54:20 +0000

I have taken pencil notes which was probably a bit broken.

I have tried to install guix sd 0.13.0 32 bit on usb key.

It broke at some file, at 78% (12.8 MiB file):
https://mirror.hydra.gnu.org/guix/nar/gzip/qs27jxbxjpvw5bv49nzw9r91hj00r12j-adaita.icon-theme-3.24.0
well that's what I have noted but this exact file cannot be retrieved.
this was followed by gzip error

I then tried to relaunch: guix system init /mnt/etc/config.scm /mnt
but this time with --failback (or --fallback?)

this time, at first I have seen it load the adwaita gzip file... but quite
later, it did seems to build from source,
and this time I stop it after 25-45 mins after:
going to copy
8x8
...
256x256
Enterning directory /tmp/guix ----builds-adwaita-icon-...src/symbolic
for size in ; do \
 ...
done
for file in 'cd ../../Adwaita/scalable; find . "*.svg"'; do \
...
done
 [there I waited about 25-45 mins before doing Ctrl-C]